Main Page Class Hierarchy Compound List File List Compound Members File Members

# Aitem Class Reference

`#include <menu.h>`

Inheritance diagram for Aitem::

List of all members.

## Public Types
enum | { stateCOLLAPSED = Anode::stateLAST, stateSELECTED = stateCOLLAPSED<<1, stateCHECKED = stateSELECTED<<1, stateMULTI = stateCHECKED<<1, stateLAST = stateMULTI<<1 }
## Public Methods
ALIBOBJ ADLL | Aitem (Aitem *i)
ADLL | Aitem (char *name)
ADLL | Aitem (char *name, Anode *father, Anode *o, int data=0)
ADLL | Aitem (char *name, Anode *father, int data, Anode *o=NULL)
ADLL | Aitem (char *name, char *help)
ADLL | Aitem (char *name, char *help, Anode *father, Anode *o, int data=0)
ADLL | Aitem (char *name, char *help, Anode *father, int data, Anode *o=NULL)
virtual ADLL | ~Aitem ()
ADLL void | copyAll (Aitem *e)
ADLL void | sort ()
## Public Attributes
Anode * | object
int | data
char * | help

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  stateCOLLAPSED |
  stateSELECTED |
  stateCHECKED |
  stateMULTI |
  stateLAST |

## Constructor & Destructor Documentation

ALIBOBJ ADLL Aitem::Aitem | ( | Aitem * | i | ) |

ADLL Aitem::Aitem | ( | char * | name | ) |

ADLL Aitem::Aitem | ( | char * | name,
|  | Anode * | father,
|  | Anode * | o,
|  | int | data = 0
| ) |

ADLL Aitem::Aitem | ( | char * | name,
|  | Anode * | father,
|  | int | data,
|  | Anode * | o = NULL
| ) |

ADLL Aitem::Aitem | ( | char * | name,
|  | char * | help
| ) |

ADLL Aitem::Aitem | ( | char * | name,
|  | char * | help,
|  | Anode * | father,
|  | Anode * | o,
|  | int | data = 0
| ) |

ADLL Aitem::Aitem | ( | char * | name,
|  | char * | help,
|  | Anode * | father,
|  | int | data,
|  | Anode * | o = NULL
| ) |

virtual ADLL Aitem::~Aitem | ( |  | ) | `[virtual]`

## Member Function Documentation

ADLL void Aitem::copyAll | ( | Aitem * | e | ) |

ADLL void Aitem::sort | ( |  | ) |

## Member Data Documentation

int Aitem::data

char* Aitem::help

Anode* Aitem::object

The documentation for this class was generated from the following file:

- menu.h